
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>register</title>
    <link rel="stylesheet" href="style1.css">
    <!-- CSS only -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
    <!-- <script src="https://twitter.github.io/typeahead.js/js/handlebars.js"></script> -->
  </head>
  <body>
    <style type="text/css">
 /*     @media (min-width: 1025px) {
.h-custom {
height: 100vh !important;
}
}*/
.registration_form i {
    right: 20px;
    cursor: pointer;
    top: 10px;
}
.p{
    position: absolute;
}
.font{
    font-size: 9px;
    color: red;
   
}

    </style>
    <section class="h-100 h-custom registration_form" style="background-color: #8fc4b7;">
      <div class="container py-5 h-60">
        <div class="row d-flex justify-content-center align-items-center h-100">
          <div class="col-lg-8 col-xl-6">
            <div class="card rounded-3">
              <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-registration/img3.webp" class="w-100" style="border-top-left-radius: .3rem; border-top-right-radius: .3rem;" alt="Sample photo">
              <div class="card-body p-4 p-md-5">
                <h3 class=" pb-2 pb-md-0 mb-md-5 text-center px-md-2">Registration form</h3>
                <form class="" method="post" action="/adduser" id="myform">
                  <div class="form-outline mb-4 ">
                    {{#each errors}}
                        <!-- <tr>
                            <td>{{name}}
                                    <ul>
                                        {{#details}}
                                            <li>{{username}}</li>
                                            <li>{{email}}</li>
                                        {{/details}}
                                    </ul>
                            </td>
                            <td>{{email}}</td>
                        </tr> -->
                        <h3 class="font">{{ msg }}</h3>
                    {{/each}}
                    
                    <input type="text" id="name" name="firstname"  pattern = "^\w[A-Za-z\s]+$" required placeholder="Name"  onpaste="return false;" class="form-control " maxlength="20" onkeydown ="if(['Space'].includes(arguments[0].code)){return false;}" onkeypress="return  (event.charCode > 96 && event.charCode < 123) || (event.charCode > 64 && event.charCode < 91)|| (event.charCode==32)" onkeyup="validatename()" />
                    <span class="text-danger font p" id="user"></span>
                    {{#each errors }}
                    {{#if (eq param "firstname")}}
                      <h4>{{msg}}<h4>
                    {{/if}}
                    {{/each}}

                    
                  
                  </div>
                  <div class="row">
                    <div class="col-md-6 mb-4">
                      <input type="text" id="mail" required="true" name="email" placeholder="Email" class="form-control" onpaste="return false" ; onkeyup="validatemail()" />
                      <span class="text-danger font p" id="validmail"></span>
                    </div>
                    <div class="col-md-6 mb-4">
                      <input type="phone" id="phone" name="number" required="true" onkeypress="return  (event.charCode > 47 && event.charCode < 58)" placeholder="phone"  class="form-control" onpaste="return false" maxlength="10" onkeyup="validatephone()" />
                      <span id="phone1" class="font p"></span>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6 mb-4  form-group position-relative">
                      <i class="fa fa-eye position-absolute" id="togglePassword"></i>
                      <input type="password" id="password" name="password" maxlength="15" autocomplete="off" required="true" placeholder="password" class="form-control " onpaste="return false" onkeyup="validatepassword()" />
                      <span id="password1" class="p font"></span>
                    </div>
                    <div class="col-md-6 mb-4">
                      <input type="text" id="confirmpass" autocomplete="off" required="true" placeholder="Confirm-Password" class="form-control" onpaste="return false" ; onkeyup="confirmpassword()" />
                      <span id="confirmpass1" class="p  font"></span>
                    </div>
                  </div>
                  <div class="row  ">
                    <div class="col-md-6 mb-4">
                      <select class="form-control color" name="gender"  required>
                        <option value="">------Select Gender-------</option>
                        <option value="male">Male</option>
                        <option value="female">female</option>
                        <option value="maTransgenderle">Others</option>
                      </select>
                      <span class="text-danger p" id="gender1"></span>
                    </div>
                    <div class="col-md-6 mb-4">
                      <input type="text" id="pin" name="fpin" required onkeypress="return  (event.charCode > 47 && event.charCode< 58)" placeholder="PIN" class="form-control" maxlength="6" onpaste="return false" onkeyup="validateInput()" onfocusout="fetApi()"/>
                      <span id="msg"  class="p font"></span>
                      
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6 mb-4">
                      <input type="text" id="city" name="district" readonly="true"  value="" class="form-control" placeholder="District" required>
                      
                      <span id="city1" class="text-danger"></span>
                    </div>
                    <div class="col-md-6 mb-4">
                      <input type="text" id="state" name="state" readonly="true" value="" class="form-control" placeholder="State" required>
                     
                      <span id="state1" class="text-danger"></span>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6 mb-4">
                      <input type="text" id="country" name="country" readonly="true"  value="" class="form-control" placeholder="Country" required>
                      
                      <span id="country1" class="text-danger p"></span>
                    </div>
                    <div class="col-md-6 mb-4">
                      
                      <input type="text" name="address"  id="address" required placeholder="Address" class="form-control" onpaste="return false" ; onkeyup="validateaddress()" />
                      <span id="address1" class="text-danger font p"></span>
                      
                    </div>
                  </div>
                  <button  type="submit" id="val_submit" onclick="val_sub()" class="btn btn-success w-100 btn-lg mb-1" >Submit</button>
                  <div class="text-center mt-2 mb-1">
                  <span style=color:#198c75>Already a user?</span>
               <a href="/search">
              <span style=color:#3120E0>Login</span>
            </a>
          </div>
                  
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!-- JavaScript Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
    
    <!-- <script type="text/javascript">
      Handlebars.registerHelper("equals", (string1 ,string2, options) => {
          if (string1 === string2) {
              return options.fn(this);
          } else {
              return options.inverse(this);
          }
      });
    </script> -->
    <!-- <script src="js/register2.js"></script> -->
  </body>
</html>